/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2013, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfile_winix_functions_account
#define headerfile_winix_functions_account

#include "functionbase.h"


namespace Fun
{


class Account : public FunctionBase
{
public:

	Account();

	void MakeGet();
	void MakePost();

	bool ActivateAccount(const std::wstring & login, long code, bool use_ses_log = false);

private:

	bool ActivateAccount(User * puser, long code, bool use_ses_log);
	void ActivateAccount();

};


} // namespace

#endif
